Page 1 of 1

Updating from 3.012 to new version

Posted: Fri Dec 16, 2016 6:54 pm
by time-lord
Currently using version 3.012 on our board, www.watchlords.com. is there a compelling reason to upgrade to the newer versions?

Also I wanted to add language packs as well as add a new style or two to the forum. Currently I have my own VPS so I can do as I wish performance wise. How difficult is it to do what I mentioned. I am not a developer, my hobby is watches. My expertise is as a computer sales engineer but the days of my programming are long behind me.

Re: Updating from 3.012 to new version

Posted: Fri Dec 16, 2016 7:15 pm
by JimA
Hi! There's one very compelling reason to want to upgrade to a new version and that's the support for the version your currently using (phpBB 3.0.x) will be dropped completely in two weeks. I'd strongly advice you to upgrade soon. These upgrades are relatively easy, but be aware that you can't take custom MODs and styles with you. You'll have to rebuild your board with styles/extensions created for 3.1.x or higher.

Re: Updating from 3.012 to new version

Posted: Fri Dec 16, 2016 7:17 pm
by KevC
EDIT: Jim just beat me but I'd already written this so I'll post it anyway.
time-lord wrote: is there a compelling reason to upgrade to the newer versions?
Support for 3.0 ends in 2 weeks time.
MODs have been replaced with extensions which means to add a feature you just upload a folder and activate it. No more messing about with coding. This also means that when you need to update you can just replace the old files with new ones, run the DB update and you're done.

You're perfectly entitled to stay on 3.0 if you wish though.
time-lord wrote: Also I wanted to add language packs as well as add a new style or two to the forum.
Both just require upload and activation. However if you have a lot of MODs you will need to code in the style changes to the same files in the added styles.

Re: Updating from 3.012 to new version

Posted: Fri Dec 16, 2016 7:33 pm
by time-lord
This is the forum http://watchlords.com/forum/index.php. Except for a mobile design by dion and a benglish language pack there are no mods on the forum.

Re: Updating from 3.012 to new version

Posted: Fri Dec 16, 2016 7:53 pm
by JimA
Okay, so all you'd have to worry about is getting a style that's compatible for phpBB 3.1. Apart from prosilver, our default style, we still have quite some phpBB 3.1 styles available in our Customisation Database. With regards to the mobile style, that's no longer necessary as changes in phpBB 3.1 have made almost every style responsive making sure that the styles will adjust to mobile screens. :)

For instructions on the actual update, see this: https://www.phpbb.com/support/docs/en/3 ... /upgrade3/